
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>adb devices指令实例讲解 / 憋错料</title>

    <meta name="description" content="adb devices指令实例讲解 在讲这个指令之前,我首先启动了一个名称为&quot;Galaxy_Nexus_4.4.2&quot;的手机模拟器(有时我们也管其叫安卓虚拟设备),并且通过USB数据线将我的手机设备和PC进行了连接,而后我应用&quot;Android Screen Monitor&quot;工具捕获到我的物理手机屏幕信息,运行后的手机模拟器和物理手机屏幕显示,如图3-7所示. 平时在我们进行测试的时候,用的最多的可能就是查看设备的相关信息了,用什么指令可以了解到我们的物理测试设备或者模拟器的相关信息呢? 我告诉 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">adb devices指令实例讲解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDAvN0UvQ0Qvd0tpb20xY0l5NGVCQVRjVEFBRmF5Y2hpbktJNzgxLnBuZw==.jpg" /></p>
<p>在讲这个指令之前，我首先启动了一个名称为“Galaxy_Nexus_4.4.2”的手机模拟器（有时我们也管其叫安卓虚拟设备），并且通过USB数据线将我的手机设备和PC进行了连接，而后我应用“Android Screen Monitor”工具捕获到我的物理手机屏幕信息，运行后的手机模拟器和物理手机屏幕显示，如图3-7所示。</p>
<p>平时在我们进行测试的时候，用的最多的可能就是查看设备的相关信息了，用什么指令可以了解到我们的物理测试设备或者模拟器的相关信息呢？</p>
<p>我告诉大家一个指令就可以实现，它就是“adb devices”指令，通过该指令用户就可以了解到目前连接的设备/模拟器的状态的相关信息。可以在命令行控制台输入“adb devices”，其显示信息如图3-8所示。</p>
<p>从图3-8中，我们可以看出其输出信息主要包括2列内容，第一列内容为设备的序列号信息，第二列为设备的状态信息。</p>
<p>设备的序列号是用来唯一表示一个模拟器或者物理设备的一串字符，通常模拟器是以“&lt;设备类型&gt;－&lt;端口号&gt;”的形式为其序列号，图3-8所显示的“5554:Galaxy_Nexus_4.4.2”，就表示设备的类型为“Galaxy_Nexus_4.4.2”，正在监听5554端口的模拟器实例。而“4df7b6be03f2302b”表示连接到我们PC上的物理手机设备的序列号。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDEvN0UvQ0Qvd0tpb20xY0l5NDNSWmtQTUFBSlY5cGFKaHJzODI5LnBuZw==.jpg" /></p>
<p>图3-7&nbsp; 执行“adb help”后相关显示信息</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDEvN0UvQzkvd0tpb0wxY0l6RDZSQjkwUEFBQjNvUHVqbWZRNDIxLnBuZw==.jpg" /></p>
<p>图3-8&nbsp; 执行“adbdevices”后相关显示信息</p>
<p>状态信息则可能会包含以下3种不同状态。</p>
<p>（1）device状态：这个状态表示设备或者模拟器已经连接到adb服务器上。但是这个状态并不代表物理手机设备或者模拟器已经启动完毕并可以进行操作，因为Android系统在启动时会先连接到adb服务器上，但android系统启动完成后，设备或者模拟器通常是这个状态。</p>
<p>（2）offline状态：这个状态表明设备或者模拟器没有连接到adb服务器或者没有响应。</p>
<p>（3）no device状态：这个状态表示没有物理设备或者模拟器连接。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 14:31:16 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e8%87%aa%e5%8a%a8%e5%8c%96%e6%b5%8b%e8%af%95/" title="自动化测试">自动化测试</a>, <a href="https://www.biecuoliao.com/tag/android/" title="android">android</a>, <a href="https://www.biecuoliao.com/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.biecuoliao.com/tag/%e6%a8%a1%e6%8b%9f%e5%99%a8/" title="模拟器">模拟器</a>, <a href="https://www.biecuoliao.com/tag/%e7%a7%bb%e5%8a%a8%e6%b5%8b%e8%af%95/" title="移动测试">移动测试</a>, <a href="https://www.biecuoliao.com/tag/%e6%89%8b%e6%9c%ba%e5%b1%8f%e5%b9%95/" title="手机屏幕">手机屏幕</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>adb devices指令实例讲解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/138q7R4.html" rel="bookmark">Vue&period;js 基础指令实例讲解（各种数据绑定、表单渲染大总结）&mdash;&mdash;新手入门、高手进阶</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Vue.js 是一套构建用户界面的渐进式框架.他自身不是一个全能框架--只聚焦于视图层.因此它非常容易学习,非常容易与其它库或已有项目整合.在与相关工具和支持库一起使用时,Vue.js 也能完美地驱动复杂的单页应用.他是基于AnjularJs 编写的,所以和前者的语法特别相似,却又使用简洁了很多. 那今天,我就给大家详细的说道说道这个 Vue.js ,以下是我们这次详解的目录,朋友们可以根据自己的情况选择性阅读,所有操作均附有代码实现. 1. Vue.js 如何绑定到页面中,使用他的功能. 2.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0R8O7v4.html" rel="bookmark">android adb常用指令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android 调试桥(adb)是多种用途的工具,该工具可以帮助你你管理设备或模拟器 的状态. 可以通过下列几种方法加入adb: 在设备上运行shell命令 通过端口转发来管理模拟器或设备 从模拟器或设备上拷贝来或拷贝走文件 下面对adb进行了介绍并描述了常见的使用. Contents 概要 发出adb命令 查询模拟器/设备实例 给特定的模拟器/设备实例发送命令 安装软件 转发端口 从模拟器/设备中拷入或拷出文件 Adb命令列表 启动shell命令 通过远程shell端运行sqllite3连接数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35ALWn3.html" rel="bookmark">实例讲解Nginx下的rewrite规则 来源：Linux社区</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一．正则表达式匹配,其中:* ~ 为区分大小写匹配* ~* 为不区分大小写匹配* !~和!~*分别为区分大小写不匹配及不区分大小写不匹配二．文件及目录匹配,其中:* -f和!-f用来判断是否存在文件* -d和!-d用来判断是否存在目录* -e和!-e用来判断是否存在文件或目录* -x和!-x用来判断文件是否可执行三．rewrite指令的最后一项参数为flag标记,flag标记有:1.last    相当于apache里面的[L]标记,表示rewrite.2.break本条规则匹配完成后,终止匹配			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49LNOA3.html" rel="bookmark">【转】android adb常用指令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android 调试桥(adb)是多种用途的工具,该工具可以帮助你你管理设备或模拟器 的状态. 可以通过下列几种方法加入adb: 在设备上运行shell命令 通过端口转发来管理模拟器或设备 从模拟器或设备上拷贝来或拷贝走文件 下面对adb进行了介绍并描述了常见的使用. Contents 概要 发出adb命令 查询模拟器/设备实例 给特定的模拟器/设备实例发送命令 安装软件 转发端口 从模拟器/设备中拷入或拷出文件 Adb命令列表 启动shell命令 通过远程shell端运行sqllite3连接数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wPVK14.html" rel="bookmark">【Android】ADB常用指令与logcat日志（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ADB命令简介 ADB是一个功能强大的命令行工具.通过它可以直接和模拟器或真机进行交互.它是一个具有客户端和服务器端的程序. 它主要由三个部分组成: 客户端,它运行在你的开发机上,你可以通过执行adb命令来唤起一个客户端.其他的工具例如:ADT插件以及DDMS也可以创建一个ADB客户端. 服务端,它运行在你的后台进程,这个服务管理客户端和运行在你模拟起或真机上的守护进程. 守护进程,它运行在每台模拟器或真机的后台进程. 当你启动一个adb客户端的时候,客户端会首先检测是否已经有adb服务进程运行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWKyLaM.html" rel="bookmark">&lbrack;转帖&rsqb;linux常用命令大全（linux基础命令入门到精通&plus;实例讲解&plus;持续更新&plus;命令备忘录&plus;面试复习）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				https://www.cnblogs.com/caozy/p/9261224.html 总结的挺好的 我之前想总结 一直懒 这次国庆加班 也本来计划来着 感冒了 作罢 .. 作者:蓝藻(罗蓝国度) 创建时间:2018.7.3编辑时间:2019.7.16 前言 本文特点 授之以渔:了解命令学习方法.用途:不再死记硬背,拒绝漫无目的: 准确无误:所有命令执行通过(环境为centos7),拒绝复制粘贴: 实用性高:命令多为实际工作中用到的,实例讲解,拒绝纯理论: 条理清晰:分类归纳,快速找到想要的命			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/949v71M.html" rel="bookmark">Android 实例讲解HorizontalScrollView实现左右滑动</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本博文主要讲解怎么使用HorizontalScrollView实现左右滑动的效果. HorizontalScrollView实际上是一个FrameLayout ,一般通过只放置一个LinearLayout子控件.如果要使其添加其他的控件,就使用LinearLayout子控件来添加其他的控件,最后达到丰富其内容的效果.其中,LinearLayout设置的orientation布局为Horizontal.HorizontalScrollView不可以和ListView同时用,因为ListView有自			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/r0aLEAM.html" rel="bookmark">adb正常，手机启动usb调试，adb devices下没有改设备</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				手机开启开发者模式,adb正常时adb devices下没有设备: 1.进入设备管理器--查找adb的硬件id 2.找到.Android文件夹,在下,添加0x22D9 3.杀掉adb进程,重启启动adb即可链接成功			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/v0kWD70.html" rel="bookmark">多线程之间的通信实例讲解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				                 多线程之间的通信实例讲解对于线程来说,说白了,就是一个函数,如果大家对于这章函数都有理解,那我对于操作系统,线程和进程间的通信会有一个新的认识!接下来我会对每一行代码进行注释,在此过程中,大家也可以对c语言有一个崭新的认识. 第一个函数,创建两个线程. #include &lt;stdio.h&gt;#include &lt;pthread.h&gt;    这个头函数要包含,因为我们后续用的函数都是系统调用,因此需要申请头函数   这样在编译的时候,就可以找到此函数的源			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVgKjp0.html" rel="bookmark" class="title">html5-websocket初探</a>
					<div>
						HTML5规范在传统的web交互基础上为我们带来了众多的新特性,随着web技术被广泛用于web APP的开发,这些新特性得以推广和使用,而websocket作为一种新的web通信技术具有巨大意义. 什 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OmxQ9M.html" rel="bookmark" class="title">Linux系统中的硬件问题如何排查？&lpar;5&rpar;</a>
					<div>
						Linux系统中的硬件问题如何排查?(5) 2013-03-27 10:32 核子可乐译 51CTO.com 字号:T | T 在Linux系统中,对于硬件故障问题的排查可能是计算机管理领域最棘手的工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4ARyAvM.html" rel="bookmark" class="title">H5危险的文件上传对话框</a>
					<div>
						文件对话框 文件上传对话框是一直以来就存在的网页控件. 到了 HTML5 时代,增加了更多的功能,例如支持文件多选.Chrome 甚至还支持「上传文件夹」这一私有特征: &lt;input type= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ORJL90.html" rel="bookmark" class="title">实现交换机span的配置</a>
					<div>
						这次我们做了实验交换机SPAN功能的配置,它实现的就是通过交换机来监测设备,它的原理就是用户可以利用端口镜像(SPAN)提供的功能,将指定端口的报文复制到交换机上另一个连接有网络监测设备的端口,进行网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j1VbeM.html" rel="bookmark" class="title">Fedora 14配置vsftp服务步骤</a>
					<div>
						Fedora 14配置vsftp服务步骤:1:检查Fedora14是否安装了vsftp服务    用rpm -qa|grep vsftp命令检查是否安装了vsftp服务,如果安装了,会显示安装好的版本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qxvzG0.html" rel="bookmark" class="title">&lbrack;自然语言处理&rsqb; 文本向量化技术</a>
					<div>
						前期准备 使用文本向量化的前提是要对文章进行分词,分词可以参考前一篇文章.然后将分好的词进行向量化处理,以便计算机能够识别文本.常见的文本向量化技术有词频统计技术.TF-IDF技术等. 词频统计技术  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38pw713.html" rel="bookmark" class="title">IgG</a>
					<div>
						IgG是免疫球蛋白G(Immunoglobulin G,IgG)的缩写,是血清主要的抗体成分,约占血清Ig的75%.其中40-50%分布于血清中,其余分布在组织中.IgG是唯一可以通过胎盘的免疫球 蛋 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xanlD3.html" rel="bookmark" class="title">安装Ubuntu 10&period;04时提示Cannot download the metalink and</a>
					<div>
						今天下载了ubuntu 14.10,想尝试一下最新的桌面版是个什么情况,下载了ISO文件, 之前使用都是解压缩后进行安装即可,于是我就这么干了!附上图: 看到.torrent这个东西瞬间让我很蛋疼了! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dRy8e4.html" rel="bookmark" class="title">Configure mutiple IBM HTTP Server &sol; Other Apache based WEB server on 1 physical server &lpar;Section 1&rpar;</a>
					<div>
						It's very simple to configure a IBM HTTP Server / Apache service on a server. But sometimes, conside ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzEebk4.html" rel="bookmark" class="title">spy日志</a>
					<div>
						##################################################################modulelist=com.p6spy.engine.spy.P6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QaGYe4.html" rel="bookmark" class="title">服务器负载</a>
					<div>
						# 总核数 = 物理CPU个数 X 每颗物理CPU的核数 # 总逻辑CPU数 = 物理CPU个数 X 每颗物理CPU的核数 X 超线程数 # 查看物理CPU个数 cat /proc/cpuinfo|  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MobOgk4.html" rel="bookmark" class="title">关于c&plus;&plus;多态</a>
					<div>
						推荐&lt;Inside The c++ Object Model &gt;, 文章转自其中一段. 多态是面向对象的一个重要特征,c++中多态是通过虚函数机制实现的,关于c++多态实现的一些基本知识, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDja293.html" rel="bookmark" class="title">导入mysql数据库</a>
					<div>
						Mysql5.7.11安装 - yum方式: 1.mysql官方网站下载mysql yum repo文件(rpm文件),安装后在系统/etc/yum.repo.d目录多出2个文件 2.yum sear ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rQg110.html" rel="bookmark" class="title">VFP MSSOAPTOOKIT 使用SOAP Headers</a>
					<div>
						.NET 有如下使用了自定义扩展HEADER来做验证  server.asmx代码 using System;using System.Collections.Generic;using System ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3q8o9D0.html" rel="bookmark" class="title">C语言基础学习运算符-赋值运算符</a>
					<div>
						简单赋值 在C语言里,运算符=并不表示相等,而是一个赋值运算符.这意味着,符号=的左边该是一个可修改的变量名,而右边是赋给该变量的值. 如下程序语句: i = i+1; 在数学上,该等式无法成立.而作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBn22JM.html" rel="bookmark" class="title">伟大程序员的十大特质</a>
					<div>
						关于如何才能成为一名优秀的程序员,最近又一次成为了我们关注的焦点.下面是我认为我们最需要具备的特质: 善于解决问题. 既发奋又懒惰. 能理解别人的代码. 对编程充满热情. 为了学习而爱上学习. 擅长数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wDEL14.html" rel="bookmark" class="title">DataTables添加额外的查询参数和删除columns等无用参数</a>
					<div>
						//1.定义全局变量 var iStart = 0, searchParams={}; //2.配置datatable的ajax配置项 &quot;ajax&quot;: { &quot;url&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzDNrJ3.html" rel="bookmark" class="title">JavaScript基础知识总结（四）</a>
					<div>
						JavaScript语法 八.函数 函数就是完成某个功能的一组语句,函数由关键字function + 函数名 + 加一组参数定义: 函数在定义后可以被重复调用,通常将常用的功能写成一个函数,利用函数可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4A2BeKM.html" rel="bookmark" class="title">MySQL数据库&OpenCurlyDoubleQuote;局部&rdquo;乱码</a>
					<div>
						问题:“网页显示中午”与“数据库查看中文”总有一个是乱码,或者“网页中总有部分中文乱码” 装了PHPStudy之后,用alter修改过一次数据库的编码方式为utf8!当时的网页的编码显示是正常的,所以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MorLqP4.html" rel="bookmark" class="title">开启phpMyAdmin高级功能的设置方法</a>
					<div>
						注:本文基于phpMyAdmin5.5,使用LNMP环境 问题: 登录到phpMyAdmin以后,在主界面的底部,我们发现两条提示信息: 一条提示信息是&quot;phpMyAdmin高级功能尚未完全 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
